Status: Open

Priority: Normal

Assignee:

Category: Attribute table

Affected QGIS version:3.4.4 Regression?: No

Operating System: Windows 7 Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 26652

Description

If one layer is joined to another and no prefix is selected (by selecting custom field name prefix and then just blanking the box), the

resulting join layer column are all one to the right of the one they should be.

For example layer 1 with field 'ID', joined to layer 2 with 'ID', 'Height' and Width', using the selected prefix '2' would have the height values

in the height column, but when it's joined with no prefix (custom prefix, blank box), the values that are under 'Height' in layer 2 appear

under 'Width' in layer 1.

History

#1 - 2019-01-21 12:35 AM - Jürgen Fischer

- Status changed from Open to Feedback

Please test with QGIS 3.4 - QGIS 2.18 reached it's end of life.

#2 - 2019-02-23 10:12 PM - Don Meltz

Jürgen Fischer wrote:

Please test with QGIS 3.4 - QGIS 2.18 reached it's end of life.

I just ran into this problem today, using QGIS 3.4.

I believe it may have something to do with identical field names existing in each table.

In my case, the OBJECTID field heading gets removed from my joined table, by the values in the column remain, and the next field to the right becomes the

field heading of the (former) OBJECTID column.

#3 - 2019-02-23 10:21 PM - Don Meltz

- File QGIS Shifted Field Names.JPG added

- File QGIS Correct Field Names.JPG added

See attached jpegs for an example.

#4 - 2019-02-23 10:28 PM - Giovanni Manghi

- Affected QGIS version changed from 2.18.18 to 3.4.4
- Status changed from Feedback to Open

Files

QGIS Correct Field Names.JPG 45.9 KB 2019-02-23 Don Meltz

QGIS Shifted Field Names.JPG 45.3 KB 2019-02-23 Don Meltz
